package com.supServer.framework.security.mode;


import com.supServer.project.entity.UserInfo;

import java.util.Date;

/**
 * @description：
 * @Author: ly
 * @Date: 2022/3/29 15:50
 */
public class RegisterBody extends UserInfo {

    private String companyName;

    private String creditCode;

    private String status;

    private String companyData;

    private String legalPersonData;

    private String legalPersonName;

    private String legalPersonCardType;

    private String legalPersonCardNum;

    private String idCardName;

    private Date createTime;

    private Date updateTime;

    public String getIdCardName() {
        return idCardName;
    }

    public void setIdCardName(String idCardName) {
        this.idCardName = idCardName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getCompanyData() {
        return companyData;
    }

    public void setCompanyData(String companyData) {
        this.companyData = companyData;
    }

    public String getLegalPersonData() {
        return legalPersonData;
    }

    public void setLegalPersonData(String legalPersonData) {
        this.legalPersonData = legalPersonData;
    }

    public String getLegalPersonName() {
        return legalPersonName;
    }

    public void setLegalPersonName(String legalPersonName) {
        this.legalPersonName = legalPersonName;
    }

    public String getLegalPersonCardType() {
        return legalPersonCardType;
    }

    public void setLegalPersonCardType(String legalPersonCardType) {
        this.legalPersonCardType = legalPersonCardType;
    }

    public String getLegalPersonCardNum() {
        return legalPersonCardNum;
    }

    public void setLegalPersonCardNum(String legalPersonCardNum) {
        this.legalPersonCardNum = legalPersonCardNum;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public Date getUpdateTime() {
        return updateTime;
    }

    @Override
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return "RegisterBody{" +
                "companyName='" + companyName + '\'' +
                ", creditCode='" + creditCode + '\'' +
                ", status='" + status + '\'' +
                ", companyData='" + companyData + '\'' +
                ", legalPersonData='" + legalPersonData + '\'' +
                ", legalPersonName='" + legalPersonName + '\'' +
                ", legalPersonCardType='" + legalPersonCardType + '\'' +
                ", legalPersonCardNum='" + legalPersonCardNum + '\'' +
                ", idCardName='" + idCardName + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                '}';
    }
}
